Main Page Class Hierarchy Compound List File List Compound Members

# Path Class Reference

Element of type Path (G_Polyline with a width parameter). More...

`#include <path.h>`

Inheritance diagram for Path:

List of all members.

## Public Methods
void | OWrite (Driver_out &where)
void | DoWrite (DrawDriver &dr)
BoundingBox & | CalcBoundingBox ()
| calculate the bounding box
Element * | Duplicate ()
TYPE | GetType ()
| get the element type NON,BOUNDARY,PATH,TEXT,SREF,AREF,ARCSEG,BOX,CIRCLE
void | Transform (wxTransformMatrix *_Matrix)
| tranform the element given a matrix
void | Convert (G_Polygon *_converted, double Aber)
| convert primitive to polygon
bool | Select (Point *)
| select the element if Point is within it
bool | Select (BoundingBox *, wxTransformMatrix *)
wxPropertySheet * | GetPropList ()
| get property list
void | UpdatePropList ()
| update property list (remove members of object)

## Detailed Description

Element of type Path (G_Polyline with a width parameter).

See also:
  Shape , ElementList , G_Polyline

## Member Function Documentation

bool Path::Select | ( | BoundingBox * | ,
|  | wxTransformMatrix * |
| ) | `[virtual]`

| select the element if is within the box. matrix is used to calculate the relative BoundingBox within structures Implements Element.

The documentation for this class was generated from the following file:

- path.h

Path class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page